# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Server/Simple.pm) perl(HTTP/Server/Simple/CGI.pm) perl(JSON.pm) perl(Moose.pm) perl(REST/Client.pm) perl(Test/More.pm) perl(experimental.pm) perl(feature.pm) perl(parent.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name WebService-IFConfig-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001
Release: alt1
Summary: Client for Martin Polden's https://ifconfig.co
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NI/NICDOYE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use strict;
    use warnings;
    use 5.12.0;

    use feature qw/say/;
    use WebService::IFConfig::Client;
    my $ifconfig = WebService::IFConfig::Client->new();

    say $ifconfig->get_city;
    say $ifconfig->get_country;
    say $ifconfig->get_hostname;
    say $ifconfig->get_ip;
    say $ifconfig->get_ip_decimal;

    # Time passes ...
    
    # Request again
    $ifconfig->request;

Calling `new()' with no arguments, defaults to requesting immediately from https://ifconfig.co.

To defer requesting, the data you can pass the argument `'run' => 0'.

To use a different server, pass `'server' => $my_server'.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/W*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1
- initial import by package builder

